/*
 * UDP Storage Server/Client
 *
 * Common Definitions
 */
#define ERROR_INVALID_REQUEST (-1)
#define ERROR_INVALID_SESSION (-2)

#define REQUEST_NEW_SESSION (0)
#define REQUEST_GET_SESSION (1)
#define REQUEST_PUT_SESSION (2)

/* Socket used by server */
#define SOCKET (8889)

/* A "session" is 1k of binary data
 * that starts with an eight-byte header.
 * Length includes header, so is always at least 8. */
struct session_t {
  unsigned char status; /* Status/operation byte used in protocol */
  unsigned char id[7];  /* Six-byte identifier used by client. */
  unsigned char data[1024 - 8];
};

/* Size of memory block for each session */
#define MAX_SESSION_SIZE (sizeof(struct session_t))

